# module Node::Environment::Helper

### Public Instance Methods

environment() click to toggle source

    # File lib/puppet/node/environment.rb, line 13
    def environment
      Puppet::Node::Environment.new(@environment)
    end

environment=(env) click to toggle source

    # File lib/puppet/node/environment.rb, line 17
    def environment=(env)
      if env.is_a?(String) or env.is_a?(Symbol)
        @environment = env
      else
        @environment = env.name
      end
    end